RHEL 2.1 / 3 / 4 : mozilla (RHSA-2005:435)

This script is Copyright (C) 2005-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated mozilla packages that fix various security bugs are now
available.

This update has been rated as having important security impact by the
Red Hat Security Response Team.

[Updated 24 May 2005] This erratum now includes updated devhelp
packages which are required to satisfy a dependancy on systems that
have devhelp packages installed.

Mozilla is an open source Web browser, advanced email and newsgroup
client, IRC chat client, and HTML editor.

Several bugs were found in the way Mozilla executes JavaScript code.
JavaScript executed from a web page should run with a restricted
access level, preventing dangerous actions. It is possible that a
malicious web page could execute JavaScript code with elevated
privileges, allowing access to protected data and functions. The
Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the names CVE-2005-1476, CVE-2005-1477, CVE-2005-1531, and
CVE-2005-1532 to these issues.

Users of Mozilla are advised to upgrade to this updated package, which
contains Mozilla version 1.7.8 to correct these issues.

See also :

https://www.redhat.com/security/data/cve/CVE-2005-1476.html
https://www.redhat.com/security/data/cve/CVE-2005-1477.html
https://www.redhat.com/security/data/cve/CVE-2005-1531.html
https://www.redhat.com/security/data/cve/CVE-2005-1532.html
http://www.mozilla.org/projects/security/known-vulnerabilities.html#
http://rhn.redhat.com/errata/RHSA-2005-435.html

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 18388 ()

Bugtraq ID:

CVE ID: CVE-2005-1476
CVE-2005-1477
CVE-2005-1531
CVE-2005-1532